Bug 1417792 - [abrt] fprintd: _dbus_header_get_byte_order(): fprintd killed by SIGSEGV
Summary: [abrt] fprintd: _dbus_header_get_byte_order(): fprintd killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: fprintd
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d06ff59fd0373eca0212281cba2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 03:35 UTC by Ben Liblit
Modified: 2017-12-12 10:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:35:57 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (13.48 KB, text/plain)
2017-01-31 03:35 UTC, Ben Liblit
no flags Details
File: cgroup (232 bytes, text/plain)
2017-01-31 03:35 UTC, Ben Liblit
no flags Details
File: core_backtrace (6.55 KB, text/plain)
2017-01-31 03:35 UTC, Ben Liblit
no flags Details
File: dso_list (3.38 KB, text/plain)
2017-01-31 03:35 UTC, Ben Liblit
no flags Details
File: environ (95 bytes, text/plain)
2017-01-31 03:35 UTC, Ben Liblit
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-31 03:35 UTC, Ben Liblit
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-31 03:35 UTC, Ben Liblit
no flags Details
File: maps (17.76 KB, text/plain)
2017-01-31 03:35 UTC, Ben Liblit
no flags Details
File: mountinfo (3.92 KB, text/plain)
2017-01-31 03:35 UTC, Ben Liblit
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-31 03:35 UTC, Ben Liblit
no flags Details
File: open_fds (984 bytes, text/plain)
2017-01-31 03:35 UTC, Ben Liblit
no flags Details
File: proc_pid_status (1.07 KB, text/plain)
2017-01-31 03:35 UTC, Ben Liblit
no flags Details
File: var_log_messages (1.02 KB, text/plain)
2017-01-31 03:35 UTC, Ben Liblit
no flags Details

Description Ben Liblit 2017-01-31 03:35:33 UTC
Version-Release number of selected component:
fprintd-0.7.0-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 3
cmdline:        /usr/libexec/fprintd
crash_function: _dbus_header_get_byte_order
executable:     /usr/libexec/fprintd
global_pid:     6011
kernel:         4.9.4-201.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _dbus_header_get_byte_order at ../../dbus/dbus-marshal-header.c:178
 #1 _dbus_header_get_field_basic at ../../dbus/dbus-marshal-header.c:1372
 #2 dbus_message_get_sender at ../../dbus/dbus-message.c:3594
 #3 dbus_message_new_method_return at ../../dbus/dbus-message.c:1407
 #4 reply_or_die at dbus-gobject.c:54
 #5 dbus_g_method_return at dbus-gobject.c:3089
 #6 dev_open_cb at device.c:618
 #7 open_loop_complete at drivers/vfs5011.c:912
 #8 __subsm_complete at drv.c:119
 #9 async_recv_cb at drivers/vfs5011.c:173

Comment 1 Ben Liblit 2017-01-31 03:35:39 UTC
Created attachment 1246073 [details]
File: backtrace

Comment 2 Ben Liblit 2017-01-31 03:35:40 UTC
Created attachment 1246074 [details]
File: cgroup

Comment 3 Ben Liblit 2017-01-31 03:35:42 UTC
Created attachment 1246075 [details]
File: core_backtrace

Comment 4 Ben Liblit 2017-01-31 03:35:43 UTC
Created attachment 1246076 [details]
File: dso_list

Comment 5 Ben Liblit 2017-01-31 03:35:44 UTC
Created attachment 1246077 [details]
File: environ

Comment 6 Ben Liblit 2017-01-31 03:35:46 UTC
Created attachment 1246078 [details]
File: exploitable

Comment 7 Ben Liblit 2017-01-31 03:35:47 UTC
Created attachment 1246079 [details]
File: limits

Comment 8 Ben Liblit 2017-01-31 03:35:48 UTC
Created attachment 1246080 [details]
File: maps

Comment 9 Ben Liblit 2017-01-31 03:35:50 UTC
Created attachment 1246081 [details]
File: mountinfo

Comment 10 Ben Liblit 2017-01-31 03:35:51 UTC
Created attachment 1246082 [details]
File: namespaces

Comment 11 Ben Liblit 2017-01-31 03:35:52 UTC
Created attachment 1246083 [details]
File: open_fds

Comment 12 Ben Liblit 2017-01-31 03:35:53 UTC
Created attachment 1246084 [details]
File: proc_pid_status

Comment 13 Ben Liblit 2017-01-31 03:35:54 UTC
Created attachment 1246085 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-11-16 14:23:22 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:35:57 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.